curl --request POST \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location_id": 123,
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}
'{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location": {
"id": 123,
"subdistrict_name": "<string>",
"city_name": "<string>",
"province_name": "<string>"
},
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}Customer-authenticated storefront endpoint.
curl --request POST \
--url https://api.scalev.com/v3/stores/{store_id}/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location_id": 123,
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}
'{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"location": {
"id": 123,
"subdistrict_name": "<string>",
"city_name": "<string>",
"province_name": "<string>"
},
"address": "<string>",
"postal_code": "<string>",
"notes": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Store unique_id.